LVPN-ANNOUNCE(1)

NAME

lvpn announce announce a key on the LAN using Avahi.

SYNOPSIS

lvpn announce [-h] [-sp] local-node

DESCRIPTION

Facilitates key exchange on a local network by announcing the local host file on mDNS. Use it with lvpn discover.

OPTIONS

-h  This message

-s  Stop announcing. With -p, removes the lvpn.service file, otherwise it stops avahi-publish.

-p  Announce permanently (requires root). Installs lvpn.service so that avahi-daemon announces the host key every time the service is started.

EXAMPLES

  Announce a node

lvpn announce noanoa

  Announce a node permanently

lvpn announce -p noanoa

Installs the noanoa host file on /etc/avahi/services/lvpn.service.

  Announce keys on beadle (?)

lvpn announce -b amigo

  Stop announcement

lvpn announce -s

Stops avahi-publish on this session.

  Stop announcement permanently

lvpn announce -sp

SEE ALSO

avahi.service(5), avahi-publish(1), lvpn-discover(1)

AUTHORS
Nicolás Reynolds <fauno@endefensadelsl.org>.